Add a service to the order
https://carchost.fieldcontrol.com.br/orders/{id}/servicesAdds a service to the work order and recalculates the order totals.
Requires the
X-Api-Key,User-AgentandContent-Type: application/jsonheaders. Limit: 1 request per second (learn more).
Request
Path parameters
idstringrequiredWork order identifier.
Example: NDJiMWQ0YzQtOWNmOC00NWE2LTg2MjItYjNjNzZjZjk0MmM4OjIyOTE1.
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Request body
JSON, sent with the Content-Type: application/json header.
serviceobjectrequiredFields of service
idstringrequiredService identifier.
quantitynumberrequiredQuantity, greater than zero.
valuenumberrequiredUnit price, greater than zero.
Responses
- 201
Service added.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 404
Resource not found. The response body is empty.
- 409
Item already added to the order (resourceAlreadyExists).
- 422
Nonexistent service or invalid body (resourceValidationErr). Invalid order identifier: uriValidationErr.
- 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.